aboutsummaryrefslogblamecommitdiffstats
path: root/community/libkipi/APKBUILD
blob: 9c4b725a5fdb173a66a4e34f2185a1ac34ca8366 (plain) (tree)
1
2
3
4
5
6
7
8
9
10
11


                                                  
              






                                                                 
                                                                                        


                                              





                               
         

                            







                                                   
                            



                                          
                            

                                      
                                                                                                                                                                     
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=libkipi
pkgver=19.08.3
pkgrel=0
pkgdesc="KDE Image Plugin Interface library"
arch="all"
url="https://www.digikam.org/"
license="GPL-2.0-or-later AND LGPL-2.0-or-later"
depends_dev="qt5-qtbase-dev kconfig-dev kxmlgui-dev kservice-dev"
makedepends="$depends_dev extra-cmake-modules"
source="https://download.kde.org/stable/applications/$pkgver/src/libkipi-$pkgver.tar.xz"
subpackages="$pkgname-dev"
options="!check" # Test suite fails to compile

prepare() {
	default_prepare

	mkdir "$builddir"/build
}

build() {
	cd "$builddir"/build
	cmake "$builddir" \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=lib \
		-DBUILD_TESTING=OFF
	make
}

check() {
	cd "$builddir"/build
	CTEST_OUTPUT_ON_FAILURE=TRUE ctest
}

package() {
	cd "$builddir"/build
	DESTDIR="$pkgdir" make install
}
sha512sums="6fe9b5e96768c644fc1fc395b0787bf99504fdaed319261f04a0a88be50df5624a5cc3738e609d29da4da50b1db720098986b2da215035752b6c5d0e6b175aa4  libkipi-19.08.3.tar.xz"